<script setup lang="ts">
import { useBillCostStore } from '@/stores/billcost'
import DialogAddBillCost from './DialogAddBillCost.vue'
import { ref } from 'vue'


const billcostStore = useBillCostStore()
const headers = [
  // {
  //   key: 'id',
  //   ,sortable: false,
  //   title: 'BillCostId'
  // },
  { key: 'type', title: 'Type',sortable: false },
  { key: 'date', title: 'Date',sortable: false },
  { key: 'time', title: 'Time',sortable: false },
  { key: 'total', title: 'Total (Baht)',sortable: false },
  { key: 'actions', title: 'Actions', sortable: false }
]
const search = ref('')




</script>
<template>
  <v-row no-gutters>
    <v-col cols="12" md="5">
      <v-text-field
        v-model="search"
        density="compact"
        variant="solo"
        label="Search Bill Cost"
        append-inner-icon="mdi-magnify"
        single-line
        hide-details
        style="width: 200px"
      >
      </v-text-field>
    </v-col>

    <v-col cols="12" md="5" style="padding-top: 0px">
      <div>
        <v-btn prepend-icon="mdi-plus" style="margin-left: 550px" @click="billcostStore.openDialog"
          >BillCost Add</v-btn
        >
      </div>
    </v-col>
    
  </v-row>
  <v-data-table :headers="headers" :items="billcostStore.billCosts" :search="search" :items-per-page="10">
    <template v-slot:top>
      <v-dialog v-model="billcostStore.dialogDelete" max-width="500px" >
           <v-card>
            <v-card-title class="text-h5">Are you sure you want to delete this item?</v-card-title>
            <v-card-actions>
              <v-spacer></v-spacer>
              <v-btn color="blue-darken-1" variant="text" @click="billcostStore.closeDelete">Cancel</v-btn>
              <v-btn color="blue-darken-1" variant="text" @click="billcostStore.deleteItemConfirm">OK</v-btn>
              <v-spacer></v-spacer>
            </v-card-actions>
          </v-card>
        </v-dialog>
    </template>
    <template v-slot:[`item.actions`]="{ item }">
        
      <v-icon
        size="small"
        @click="billcostStore.deleteItem(item)"
      >
        mdi-delete
      </v-icon>
      </template>
      
  </v-data-table>
  <DialogAddBillCost></DialogAddBillCost>
</template>
